</div>
								</div>
								</div>
<div class="cl-right">
<div class="s-bk-lf">
	<div class="acc-title">Заказ выплаты</div>
</div>
<BR />
<div class="silver-bk">
<font color = '#F7F7F5'>
<BR />

<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Заказ выплаты";
$usid = $_SESSION["user_id"];
$usname = $_SESSION["user"];

$db->Query("SELECT * FROM db_users_b WHERE id = '$usid' LIMIT 1");
$user_data = $db->FetchArray();

$db->Query("SELECT * FROM db_config WHERE id = '1' LIMIT 1");
$sonfig_site = $db->FetchArray();


$min_ser = $sonfig_site["min_pay"] * $sonfig_site["ser_per_wmr"];

$status_array = array( 0 => "В очереди", 3 => "Выплачен", 2 => "Отменен");


# Список платежек
if(!isset($_GET["pay_id"])){

	if(isset($_POST["sys_pay"])){ Header("Location: /account/payment/".$_POST["sys_pay"]); return; }
	
	$db->Query("SELECT * FROM db_pay_systems ORDER BY id DESC");

	if($db->NumRows() == 0){ echo "<center>Нет платежных систем :(</center><BR /><div class='clr'></div></div>	"; return; }
	
	?>
	
	<form action="" method="POST">
	<?PHP
# Заглушка от халявщиков
if($user_data["insert_sum"] <= 49.99 ){

?>
<center><font style='color: #EF1781;'><b>
	Выплаты могут заказывать только те пользователи, которые пополнили баланс за всё время на сумму более 50 рублей!
	</b>
	</font>
	</center>	</br>
	<center><h4>Последние 20 выплат</h4></center>
<div style="max-height: 750px;overflow: auto;">
<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">

  <tr>
    <td align="center" class="m-tb">Кредитов</td>
    <td align="center" class="m-tb">Получаете</td>
	<td align="center" class="m-tb">Кошелек</td>
	<td align="center" class="m-tb">Дата</td>
	<td align="center" class="m-tb">Статус</td>
  </tr>
   <?PHP
  
  $db->Query("SELECT * FROM db_payment WHERE user_id = '$usid' ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($ref = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		<td align="center"><?=$ref["serebro"]; ?></td>
    		<td align="center"><?=sprintf("%.2f",$ref["sum"] - $ref["comission"]); ?> <?=$ref["valuta"]; ?></td>
    		<td align="center"><?=$ref["purse"]; ?></td>
			<td align="center"><?=date("d.m.Y",$ref["date_add"]); ?></td>
    		<td align="center"><?=$status_array[$ref["status"]]; ?></td>
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  
  ?>


</table></div><div class="clr"></div>
</div>
<script>
$(document).ready(function() {
    $('.payment_button').click(function() {
        $('.payment_button').removeClass('active');
        $(this).addClass('active');
        el = $(this).attr('data-form');
        $('.payment_form').hide();
        $('#'+el+'_form').show();
    });
});
</script>							<div class="clr"></div>	
							<br>
							<br>
							</div>
						<div class="clr"></div>
						
						<style>
						
.logo12 {
    background-image: url('/img/logo12.jpg');
    color: #5d3d1d;
    margin: 10px 0px 0px -10px;
    opacity: 0.9;
    height: 202px;
    background-size: 105%;
}
					</style>
<?PHP

return;
}

?>


	
	
	<center>Выплаты производятся только на платежную систему PAYEER. <BR /><BR />
		<select name="sys_pay" style="font-size:35px;">
		<?PHP
			
			while($data = $db->FetchArray()){
			
				?><option value="<?=$data["id"]; ?>"><?=$data["title"]; ?></option><?PHP
			
			}
			
		?>
		</select>
		<BR /><BR />
		<input type="submit" value="Выбрать" class="butgame" />
	</center>		
	</form>
</div>
<div class="clr"></div>								<div class="clr"></div>	
							<br>
							<br>
							</div>
						<div class="clr"></div>
						
						<style>
						
.logo12 {
    background-image: url('/img/logo12.jpg');
    color: #5d3d1d;
    margin: 10px 0px 0px -10px;
    opacity: 0.9;
    height: 202px;
    background-size: 105%;
}
					</style>
				
	<?PHP
	
return;
}else{ 

	$pay_id = intval($_GET["pay_id"]);
	
	$db->Query("SELECT * FROM db_pay_systems WHERE id = '$pay_id'");
	
	if($db->NumRows() == 0){ echo "<center>Такой платежной системы нет в нашем проекте :(</center><BR /><div class='clr'></div></div>"; return; }
	
	$pdata = $db->FetchArray();
	$min_ser = $pdata["min_pay"] * $sonfig_site["ser_per_wmr"];
	$ps = $pdata["title"];
	
	
	# Создание заявки на выплату
	if(isset($_POST["pp"])){
	
		$purse = strval(trim($func->TextClean($_POST["pp"])));
		$sum = intval($_POST["sum"]);
		
		if( strlen($purse) > 5){
		
			if( substr($purse, 0, 1) == $pdata["first_char"] ){
			
				if($min_ser <= $sum){
				
					if($sum <= $user_data["money_p"]){
					
							# Проверяем на существующие заявки
							$db->Query("SELECT COUNT(*) FROM db_payment WHERE user_id = '$usid' AND status = 0");
							if($db->FetchRow() == 0){
						
							# Снимаем с пользователя
							$db->Query("UPDATE db_users_b SET money_p = money_p - '$sum' WHERE id = '$usid'");
							
							# Вставляем запись в выплаты
							$da = time();
							$dd = $da + 60*60*24*15;
							$sum_r = round($sum / $sonfig_site["ser_per_wmr"], 2);
							$db->Query("INSERT INTO db_payment (user, user_id, purse, sum, serebro, pay_sys, date_add, date_del) 
							VALUES ('$usname','$usid','$purse','$sum_r','$sum','$ps','$da','$dd')");
							
							echo "<center><font color = 'green'><b>Ваша заявка отправлена в очередь на выполнение</b></font></center><BR />";
							
							}else echo "<center><font color = 'red'><b>У вас имеются необработанные заявки. Дождитесь их выполнения.</b></font></center><BR />";
						
					
					}else echo "<center><font color = 'red'><b>Вы указали больше, чем имеется на вашем счету</b></font></center><BR />";
				
				}else echo "<center><font color = 'red'><b>Минимальная сумма для вывода {$min_ser} Монет</b></font></center><BR />";
			
			}else echo "<center><font color = 'red'><b>Кошелек должен начинаться с ".$pdata["first_char"]."</b></font></center><BR />";
		
		}else echo "<center><font color = 'red'><b>Кошелек заполнен неверно</b></font></center><BR />";
		
	}
		
	
	
?>


<form action="" method="post">
<table width="99%" border="0" align="center">
  <tr>
    <td><font color="#000;">Ваш кошелек этой платежной системы</font> [Начинается с <?=$pdata["first_char"]; ?>]<font color="#000;">:</font> </td>
	<td><input type="text" name="pp" size="15"/></td>
  </tr>
   <tr>
    <td><font color="#000;">Отдаете кредитов для вывода</font> [Мин. <?=$min_ser; ?>]<font color="#000;">:</font> </td>
	<td><input type="text" name="sum" id="sum" value="<?=round($user_data["money_p"]); ?>" size="15" onkeyup="PaymentSum();" /></td>
  </tr>
  <tr>
    <td><font color="#000;">Получаете <span id="res_val"></span></font><font color="#000;">:</font> </td>
	<td>
	<input type="text" name="res" id="res_sum" value="0" size="15" disabled="disabled"/>
	<input type="hidden" name="per" id="RUB" value="<?=$sonfig_site["ser_per_wmr"]; ?>" disabled="disabled"/>
	<input type="hidden" name="per" id="min_sum_RUB" value="0.5" disabled="disabled"/>
	<input type="hidden" name="val_type" id="val_type" value="RUB" />
	</td>
  </tr>
  <tr>
<tr><td colspan="2" align="center"><input type="submit" name="swap" value="Заказать выплату" class="butgame" style="margin-top:10px;" /></td></tr>
</tr>
</table>
</form>
<script language="javascript">PaymentSum();</script>

<?PHP } ?>

<center><h4>Последние 20 выплат</h4></center>
<div style="max-height: 750px;overflow: auto;">
<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">

  <tr>
    <td align="center" class="m-tb">Монет</td>
    <td align="center" class="m-tb">Получаете</td>
	<td align="center" class="m-tb">Кошелек</td>
	<td align="center" class="m-tb">Дата</td>
	<td align="center" class="m-tb">Статус</td>
  </tr>
  <?PHP
  
  $db->Query("SELECT * FROM db_payment WHERE user_id = '$usid' ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($ref = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		<td align="center"><?=$ref["serebro"]; ?></td>
    		<td align="center"><?=sprintf("%.2f",$ref["sum"] - $ref["comission"]); ?> <?=$ref["valuta"]; ?></td>
    		<td align="center"><?=$ref["purse"]; ?></td>
			<td align="center"><?=date("d.m.Y",$ref["date_add"]); ?></td>
    		<td align="center"><?=$status_array[$ref["status"]]; ?></td>
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  
  ?>
  
</table></div><div class="clr"></div>
</div>
<script>
$(document).ready(function() {
    $('.payment_button').click(function() {
        $('.payment_button').removeClass('active');
        $(this).addClass('active');
        el = $(this).attr('data-form');
        $('.payment_form').hide();
        $('#'+el+'_form').show();
    });
});
</script>							<div class="clr"></div>	
							<br>
							<br>
							</div>
						<div class="clr"></div>
						
						<style>
						
.logo12 {
    background-image: url('/img/logo12.jpg');
    color: #5d3d1d;
    margin: 10px 0px 0px -10px;
    opacity: 0.9;
    height: 202px;
    background-size: 105%;
}
					</style>